nslookup {curl} | R Documentation

## Lookup a hostname

### Description

The `nslookup` function is similar to `nsl` but works on all platforms and can resolve ipv6 addresses if supported by the OS. Default behavior raises an error if lookup fails. The `has_internet` function tests the internet connection by resolving a random address.

### Usage

    nslookup(host, ipv4_only = FALSE, error = TRUE)

    has_internet()

### Arguments

`host` | a string with a hostname
`ipv4_only` | only allow for ipv4 addresses. Set to 'FALSE' to allow for ipv6.
`error` | raise an error for failed DNS lookup. Otherwise returns `NULL`.

### Examples

    # Should always work if we are online
    nslookup("www.r-project.org")

    # If your OS supports IPv6
    nslookup("ipv6.test-ipv6.com", ipv4_only = FALSE, error = FALSE)

[Package curl version 2.6 Index]